Convert Internal Collection into External Collection

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API helps convert an internal collection into an external collection. This will make the collection link accessible to anyone on the internet.

Endpoints

OAuth Scope

WorkDrive.Collection.UPDATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request PATCH \
  --url https://www.zohoapis.com/workdrive/api/v1/collections/{collection_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"request_user_data":true,"is_external":true,"input_fields":[{"field_type":"TEXT","is_name_field":true,"field_name":"Name"}]},"type":"collections"}}'

Path Parameters

collection_idstring(Required)

A unique ID that represents a collection.

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
request_user_databoolean(Required)

To set whether to request user data or not

For external collection link, the request user data
is mandatory.

is_externalboolean(Required)

To set the collection link's visibility to either internal organization members or anyone on the internet

In this case, the value should be "true".

input_fieldsJSON Array(Optional)

The field where the user data such as name, phone number, and email address are collected.

For the external collection link, the name field is default.

Show Sub-Attributes
field_typestring(Optional)

Field data type. Supported values include TEXT, EMAIL_ID, PHONE.

is_name_fieldboolean(Optional)

Set true when this field captures the uploader name.

field_namestring(Optional)

User-visible field label.

typestring(Required)

The JSON:API resource type. Always "collections".

Allowed Values :
Show Values
collectionsCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "request_user_data": true,
        "is_external": true,
        "input_fields": [
          {
            "field_type": "TEXT",
            "is_name_field": true,
            "field_name": "Name"
          }
        ]
      },
      "type": "collections"
    }
  }
                
Show full

Response Example

COL020

COL001

COL001

COL011

COL022

COL014

COL005

COL015

COL007

COL006

COL009

COL010

COL021

200
200
403
422
Copied!
  {
    "data": {
      "id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
      "type": "collections",
      "attributes": {
        "modified_time_i18": "Aug 9, 5:53 PM",
        "modifier_name": "Anna Baker",
        "link": "https://workdrive.zohoexternal.com/collection/vx57jc433ffa2c7524c51a5205d1849bc92fa/external",
        "input_fields": [
          {
            "id": 0,
            "field_name": "Name",
            "encrypt_field": false,
            "field_type": "TEXT",
            "is_name_field": true,
            "status": 1
          },
          {
            "id": 1,
            "field_name": "Phone",
            "encrypt_field": false,
            "field_type": "PHONE",
            "is_name_field": false,
            "status": 1
          },
          {
            "id": 2,
            "field_name": "Email",
            "encrypt_field": false,
            "field_type": "EMAIL_ID",
            "is_name_field": false,
            "status": 1
          }
        ],
        "each_user_each_folder": true,
        "each_user_each_folder_fields": [
          "name"
        ],
        "expiration_date": "May 20, 2021, 11:45 AM",
        "expiration_date_in_millis": 1621491300000,
        "created_time_i18": "Aug 9, 5:53 PM",
        "request_user_data": true,
        "total_uploads": 11,
        "modified_time": "Aug 9, 5:53 PM",
        "modified_time_in_millis": 1620562320000,
        "total_submissions": 23,
        "upload_file_size_limit_in_bytes": 256000,
        "created_time": "Aug 9, 5:53 PM",
        "notify_every_submissions": true,
        "upload_file_size_limit": "250 KB",
        "set_upload_limit": true,
        "override_name_exist": false,
        "is_external": true,
        "personal_note": "Analysis potential leads and assign them to the Sales team",
        "is_expired": false,
        "upload_limit_per_user": 10,
        "parent_id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
        "created_time_in_millis": 1620562320000,
        "creator_name": "Anna Baker",
        "space_id": "15532088",
        "collection_name": "Event Leads",
        "uploader_note": "Share all leads that you have collected in the recent Dubai Trade Fair",
        "status": 1
      },
      "relationships": {
        "submissions": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse9afe33b5aa13841d2823067713b701177/relationships/submissions",
            "related": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse9afe33b5aa13841d2823067713b701177/submissions"
          }
        }
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse9afe33b5aa13841d2823067713b701177"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "COL020",
        "title": "Collection disabled by the admin"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL001",
        "title": "Invalid collection name"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL011",
        "title": "For link visibility with 'Anyone on the Internet', the request user data attribute is mandatory"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL022",
        "title": "Only name parameter applicable for internal collection"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL014",
        "title": "Collection not in an active state"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL005",
        "title": "The expiration date format should be in yyyy-mm-dd or yyyy-m-d hh:mm"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL015",
        "title": "To re-enable or delete a collection, it must be in a completed state"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL007",
        "title": "Upload limit cannot be less than or equal to zero"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL006",
        "title": "The expiration date cannot be in the past"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL009",
        "title": "Upload file limit not matching"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL010",
        "title": "Invalid file size format"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL021",
        "title": "Each user each folder field must be in anyone of request user data"
      }
    ]
  }
                
Show full